MyGUI: MyGUI::ScrollBar Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions | Data Fields | Protected Member Functions | Protected Attributes
MyGUI::ScrollBar Class Reference

widget description should be here. More...

`#include <MyGUI_ScrollBar.h>`

Inheritance diagram for MyGUI::ScrollBar:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ScrollBar | RTTIBase
Public Types inherited from MyGUI::Widget
typedef RTTIBase | Base
typedef Widget | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type >
bool | isType () const
| ScrollBar ()
void | setVerticalAlignment (bool _value)
bool | getVerticalAlignment () const
void | setScrollRange (size_t _value)
size_t | getScrollRange () const
void | setScrollPosition (size_t _value)
size_t | getScrollPosition () const
void | setScrollPage (size_t _value)
size_t | getScrollPage () const
void | setScrollViewPage (size_t _value)
size_t | getScrollViewPage () const
void | setScrollWheelPage (size_t _value)
size_t | getScrollWheelPage () const
int | getLineSize () const
void | setTrackSize (int _value)
int | getTrackSize () const
void | setMinTrackSize (int _value)
int | getMinTrackSize () const
void | setMoveToClick (bool _value)
bool | getMoveToClick () const
void | setRepeatEnabled (bool enabled)
bool | getRepeatEnabled () const
void | setRepeatTriggerTime (float time)
float | getRepeatTriggerTime (float time) const
void | setRepeatStepTime (float time)
float | getRepeatStepTime (float time) const
void | setPosition (const IntPoint &_value) override
void | setSize (const IntSize &_value) override
void | setCoord (const IntCoord &_value) override
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
Public Member Functions inherited from MyGUI::Widget
template<typename Type >
bool | isType () const
| Widget ()
Widget * | createWidgetT (const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_name="")
Widget * | createWidgetT (const std::string &_type, const std::string &_skin, int _left, int _top, int _width, int _height, Align _align, const std::string &_name="")
Widget * | createWidgetRealT (const std::string &_type, const std::string &_skin, const FloatCoord &_coord, Align _align, const std::string &_name="")
Widget * | createWidgetRealT (const std::string &_type, const std::string &_skin, float _left, float _top, float _width, float _height, Align _align, const std::string &_name="")
template<typename T >
T * | createWidget (const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_name="")
template<typename T >
T * | createWidget (const std::string &_skin, int _left, int _top, int _width, int _height, Align _align, const std::string &_name="")
template<typename T >
T * | createWidgetReal (const std::string &_skin, const FloatCoord &_coord, Align _align, const std::string &_name="")
template<typename T >
T * | createWidgetReal (const std::string &_skin, float _left, float _top, float _width, float _height, Align _align, const std::string &_name="")
Widget * | createWidgetT (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
template<typename T >
T * | createWidget (WidgetStyle _style, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
void | setPosition (const IntPoint &_value) override
void | setSize (const IntSize &_value) override
void | setCoord (const IntCoord &_value) override
void | setPosition (int _left, int _top)
void | setSize (int _width, int _height)
void | setCoord (int _left, int _top, int _width, int _height)
void | setRealPosition (const FloatPoint &_value)
void | setRealSize (const FloatSize &_value)
void | setRealCoord (const FloatCoord &_value)
void | setRealPosition (float _left, float _top)
void | setRealSize (float _width, float _height)
void | setRealCoord (float _left, float _top, float _width, float _height)
const std::string & | getName () const
| Get name of widget.
virtual void | setVisible (bool _value)
bool | getVisible () const
void | setDepth (int _value)
int | getDepth () const
bool | getInheritedVisible () const
virtual void | setAlign (Align _value)
Align | getAlign () const
void | setAlpha (float _value)
float | getAlpha () const
void | setInheritsAlpha (bool _value)
bool | getInheritsAlpha () const
void | setColour (const Colour &_value)
bool | isRootWidget () const
Widget * | getParent () const
IntSize | getParentSize () const
EnumeratorWidgetPtr | getEnumerator () const
size_t | getChildCount () const
Widget * | getChildAt (size_t _index) const
Widget * | findWidget (const std::string &_name)
void | findWidgets (const std::string &_name, VectorWidgetPtr &_result)
virtual void | setEnabled (bool _value)
void | setEnabledSilent (bool _value)
bool | getEnabled () const
bool | getInheritedEnabled () const
IntCoord | getClientCoord () const
Widget * | getClientWidget ()
const Widget * | getClientWidget () const
void | detachFromWidget (const std::string &_layer="")
void | attachToWidget (Widget *_parent, WidgetStyle _style=WidgetStyle::Child, const std::string &_layer="")
void | changeWidgetSkin (const std::string &_skinName)
void | setWidgetStyle (WidgetStyle _style, const std::string &_layer="")
WidgetStyle | getWidgetStyle () const
void | setProperty (const std::string &_key, const std::string &_value)
virtual size_t | _getItemIndex (Widget *_item) const
void | _forcePick (Widget *_widget)
void | _initialise (WidgetStyle _style, const IntCoord &_coord, const std::string &_skinName, Widget *_parent, ICroppedRectangle *_croppedParent, const std::string &_name)
void | _shutdown ()
void | _destroyChildWidget (Widget *_widget)
void | _setContainer (Widget *_value)
Widget * | _getContainer () const
void | _setAlign (const IntSize &_oldsize, const IntSize &_newSize)
bool | _checkPoint (int _left, int _top) const
Widget * | _createSkinWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer="", const std::string &_name="")
virtual void | _resetContainer (bool _update)
bool | _setWidgetState (const std::string &_value)
void | _updateChilds ()
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()=default
virtual | ~IObject ()=default
Public Member Functions inherited from MyGUI::ICroppedRectangle
| ICroppedRectangle ()
virtual | ~ICroppedRectangle ()
ICroppedRectangle * | getCroppedParent ()
IntPoint | getPosition () const
IntSize | getSize () const
const IntCoord & | getCoord () const
const IntPoint & | getAbsolutePosition () const
IntRect | getAbsoluteRect () const
IntCoord | getAbsoluteCoord () const
int | getAbsoluteLeft () const
int | getAbsoluteTop () const
int | getLeft () const
int | getRight () const
int | getTop () const
int | getBottom () const
int | getWidth () const
int | getHeight () const
bool | _isMargin () const
int | _getViewLeft () const
int | _getViewRight () const
int | _getViewTop () const
int | _getViewBottom () const
int | _getViewWidth () const
int | _getViewHeight () const
void | _setCroppedParent (ICroppedRectangle *_parent)
const IntRect & | _getMargin () const
int | _getMarginLeft () const
int | _getMarginRight () const
int | _getMarginTop () const
int | _getMarginBottom () const
Public Member Functions inherited from MyGUI::UserData
virtual | ~UserData ()=default
void | setUserString (const std::string &_key, const std::string &_value)
const std::string & | getUserString (const std::string &_key) const
const MapString & | getUserStrings () const
bool | clearUserString (const std::string &_key)
bool | isUserString (const std::string &_key) const
void | clearUserStrings ()
void | setUserData (Any _data)
template<typename ValueType >
ValueType * | getUserData (bool _throw=true) const
void | _setInternalData (Any _data)
template<typename ValueType >
ValueType * | _getInternalData (bool _throw=true) const
Public Member Functions inherited from MyGUI::WidgetInput
| WidgetInput ()
virtual | ~WidgetInput ()=default
void | setNeedToolTip (bool _value)
bool | getNeedToolTip () const
void | setPointer (const std::string &_value)
const std::string & | getPointer () const
void | setNeedKeyFocus (bool _value)
bool | getNeedKeyFocus () const
void | setNeedMouseFocus (bool _value)
bool | getNeedMouseFocus () const
void | setInheritsPick (bool _value)
bool | getInheritsPick () const
void | setMaskPick (const std::string &_filename)
void | setMaskPick (const MaskPickInfo &_info)
bool | isMaskPickInside (const IntPoint &_point, const IntCoord &_coord) const
bool | getRootMouseFocus () const
bool | getRootKeyFocus () const
void | _riseMouseLostFocus (Widget *_new)
void | _riseMouseSetFocus (Widget *_old)
void | _riseMouseDrag (int _left, int _top, MouseButton _id)
void | _riseMouseMove (int _left, int _top)
void | _riseMouseWheel (int _rel)
void | _riseMouseButtonPressed (int _left, int _top, MouseButton _id)
void | _riseMouseButtonReleased (int _left, int _top, MouseButton _id)
void | _riseMouseButtonClick ()
void | _riseMouseButtonDoubleClick ()
void | _riseKeyLostFocus (Widget *_new)
void | _riseKeySetFocus (Widget *_old)
void | _riseKeyButtonPressed (KeyCode _key, Char _char)
void | _riseKeyButtonReleased (KeyCode _key)
void | _riseMouseChangeRootFocus (bool _focus)
void | _riseKeyChangeRootFocus (bool _focus)
void | _setRootMouseFocus (bool _value)
void | _setRootKeyFocus (bool _value)
Public Member Functions inherited from MyGUI::delegates::IDelegateUnlink
virtual | ~IDelegateUnlink ()=default
| IDelegateUnlink ()
bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::SkinItem
| SkinItem ()
ISubWidgetText * | getSubWidgetText () const
ISubWidgetRect * | getSubWidgetMain () const
void | _setTextureName (const std::string &_texture)
const std::string & | _getTextureName () const
Public Member Functions inherited from MyGUI::LayerItem
| LayerItem ()
ILayer * | getLayer () const
ILayerNode * | getLayerNode () const
void | attachItemToNode (ILayer *_layer, ILayerNode *_node) override
void | detachFromLayer () override
void | upLayerItem () override
void | setRenderItemTexture (ITexture *_texture)
void | addChildItem (LayerItem *_item)
void | removeChildItem (LayerItem *_item)
void | addChildNode (LayerItem *_item)
void | removeChildNode (LayerItem *_item)
void | addRenderItem (ISubWidget *_item)
void | removeAllRenderItems ()
void | saveLayerItem ()
void | restoreLayerItem ()
Public Member Functions inherited from MyGUI::ILayerItem
virtual | ~ILayerItem ()
Public Member Functions inherited from MyGUI::MemberObsolete< Widget >
bool | isEnabled ()
bool | isInheritsAlpha ()
bool | isNeedKeyFocus ()
bool | isNeedMouseFocus ()
bool | isInheritsPick ()
bool | isVisible ()

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::Widget
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Data Fields
EventHandle_ScrollBarPtrSizeT | eventScrollChangePosition
Data Fields inherited from MyGUI::Widget
EventHandle_WidgetStringString | eventChangeProperty
EventHandle_WidgetVoid | eventChangeCoord
EventHandle_WidgetVoid | eventWidgetDestroyed
Data Fields inherited from MyGUI::WidgetInput
EventHandle_WidgetWidget | eventMouseLostFocus
EventHandle_WidgetWidget | eventMouseSetFocus
EventPairAddParameter< EventHandle_WidgetIntInt, EventHandle_WidgetIntIntButton > | eventMouseDrag
EventHandle_WidgetIntInt | eventMouseMove
EventHandle_WidgetInt | eventMouseWheel
EventHandle_WidgetIntIntButton | eventMouseButtonPressed
EventHandle_WidgetIntIntButton | eventMouseButtonReleased
EventHandle_WidgetVoid | eventMouseButtonClick
EventHandle_WidgetVoid | eventMouseButtonDoubleClick
EventHandle_WidgetWidget | eventKeyLostFocus
EventHandle_WidgetWidget | eventKeySetFocus
EventHandle_WidgetKeyCodeChar | eventKeyButtonPressed
EventHandle_WidgetKeyCode | eventKeyButtonReleased
EventHandle_WidgetBool | eventRootMouseChangeFocus
EventHandle_WidgetBool | eventRootKeyChangeFocus
EventHandle_WidgetToolTip | eventToolTip

## Protected Member Functions
void | initialiseOverride () override
void | shutdownOverride () override
void | updateTrack ()
void | TrackMove (int _left, int _top)
void | onMouseWheel (int _rel) override
void | notifyMousePressed (Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyMouseReleased (Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyMouseDrag (Widget *_sender, int _left, int _top, MouseButton _id)
void | notifyMouseWheel (Widget *_sender, int _rel)
void | setPropertyOverride (const std::string &_key, const std::string &_value) override
int | getTrackPlaceLength () const
Protected Member Functions inherited from MyGUI::Widget
| ~Widget () override=default
void | _updateView ()
Widget * | baseCreateWidget (WidgetStyle _style, const std::string &_type, const std::string &_skin, const IntCoord &_coord, Align _align, const std::string &_layer, const std::string &_name, bool _template)
void | _destroyAllChildWidget ()
virtual size_t | _getContainerIndex (const IntPoint &_point) const
virtual void | baseUpdateEnable ()
ILayerItem * | getLayerItemByPoint (int _left, int _top) const override
const IntCoord & | getLayerItemCoord () const override
template<typename T >
void | assignWidget (T *&_widget, const std::string &_name)
VectorWidgetPtr | getSkinWidgetsByName (const std::string &_name) const
virtual void | onWidgetCreated (Widget *_widget)
virtual void | onWidgetDestroy (Widget *_widget)
void | setWidgetClient (Widget *_widget)
Widget * | _getClientWidget ()
| If there is client widget return it, otherwise return this.
const Widget * | _getClientWidget () const
Protected Member Functions inherited from MyGUI::ICroppedRectangle
bool | _checkMargin ()
bool | _checkOutside () const
Protected Member Functions inherited from MyGUI::WidgetInput
virtual void | onMouseLostFocus (Widget *_new)
virtual void | onMouseSetFocus (Widget *_old)
virtual void | onMouseDrag (int _left, int _top, MouseButton _id)
virtual void | onMouseMove (int _left, int _top)
virtual void | onMouseButtonPressed (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonReleased (int _left, int _top, MouseButton _id)
virtual void | onMouseButtonClick ()
virtual void | onMouseButtonDoubleClick ()
virtual void | onKeyLostFocus (Widget *_new)
virtual void | onKeySetFocus (Widget *_old)
virtual void | onKeyButtonPressed (KeyCode _key, Char _char)
virtual void | onKeyButtonReleased (KeyCode _key)
virtual void | onMouseChangeRootFocus (bool _focus)
virtual void | onKeyChangeRootFocus (bool _focus)
Protected Member Functions inherited from MyGUI::SkinItem
void | _createSkinItem (ResourceSkin *_info)
void | _deleteSkinItem ()
void | _setSkinItemAlign (const IntSize &_size)
void | _setSkinItemVisible (bool _value)
void | _setSkinItemColour (const Colour &_value)
void | _setSkinItemAlpha (float _value)
void | _correctSkinItemView ()
void | _updateSkinItemView ()
bool | _setSkinItemState (const std::string &_state)
void | _setSubSkinVisible (bool _visible)
Protected Member Functions inherited from MyGUI::LayerItem
void | attachToLayerItemNode (ILayerNode *_node, bool _deep)
void | detachFromLayerItemNode (bool _deep)

## Protected Attributes
Button * | mWidgetStart
Button * | mWidgetEnd
Button * | mWidgetTrack
Widget * | mWidgetFirstPart
Widget * | mWidgetSecondPart
IntPoint | mPreActionOffset
size_t | mSkinRangeStart
size_t | mSkinRangeEnd
size_t | mScrollRange
size_t | mScrollPosition
size_t | mScrollPage
size_t | mScrollViewPage
size_t | mScrollWheelPage
bool | mEnableRepeat
float | mRepeatTriggerTime
float | mRepeatStepTime
int | mMinTrackSize
bool | mMoveToClick
bool | mVerticalAlignment
Protected Attributes inherited from MyGUI::ICroppedRectangle
IntRect | mMargin
IntCoord | mCoord
IntPoint | mAbsolutePosition
bool | mIsMargin
ICroppedRectangle * | mCroppedParent

## Detailed Description

widget description should be here.

Definition at line 23 of file MyGUI_ScrollBar.h.

## Member Typedef Documentation

## ◆ Base

RTTIBase MyGUI::ScrollBar::Base

Definition at line 27 of file MyGUI_ScrollBar.h.

## ◆ RTTIBase

ScrollBar MyGUI::ScrollBar::RTTIBase

Definition at line 27 of file MyGUI_ScrollBar.h.

## Constructor & Destructor Documentation

## ◆ ScrollBar()

MyGUI::ScrollBar::ScrollBar | ( |  | ) |

Definition at line 18 of file MyGUI_ScrollBar.cpp.

## Member Function Documentation

## ◆ getClassTypeName()

static const std::string & MyGUI::ScrollBar::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 27 of file MyGUI_ScrollBar.h.

## ◆ getLineSize()

int MyGUI::ScrollBar::getLineSize | ( |  | ) | const

Get size in pixels of area where scroll moves

Definition at line 435 of file MyGUI_ScrollBar.cpp.

## ◆ getMinTrackSize()

int MyGUI::ScrollBar::getMinTrackSize | ( |  | ) | const

Get minimal track size

Definition at line 647 of file MyGUI_ScrollBar.cpp.

## ◆ getMoveToClick()

bool MyGUI::ScrollBar::getMoveToClick | ( |  | ) | const

Get move to click mode flag

Definition at line 657 of file MyGUI_ScrollBar.cpp.

## ◆ getRepeatEnabled()

bool MyGUI::ScrollBar::getRepeatEnabled | ( |  | ) | const

Get whether Repeat mode is enabled

See also
  setRepeatEnabled

Definition at line 418 of file MyGUI_ScrollBar.cpp.

## ◆ getRepeatStepTime()

float MyGUI::ScrollBar::getRepeatStepTime | ( | float | time | ) | const

Get how much time between scrollbar button repeats.

Definition at line 408 of file MyGUI_ScrollBar.cpp.

## ◆ getRepeatTriggerTime()

float MyGUI::ScrollBar::getRepeatTriggerTime | ( | float | time | ) | const

Get time that buttons need to be pressed down to start repeating.

Definition at line 403 of file MyGUI_ScrollBar.cpp.

## ◆ getScrollPage()

size_t MyGUI::ScrollBar::getScrollPage | ( |  | ) | const

Get scroll page

Definition at line 618 of file MyGUI_ScrollBar.cpp.

## ◆ getScrollPosition()

size_t MyGUI::ScrollBar::getScrollPosition | ( |  | ) | const

Get scroll position (value from 0 to range - 1)

Definition at line 608 of file MyGUI_ScrollBar.cpp.

## ◆ getScrollRange()

size_t MyGUI::ScrollBar::getScrollRange | ( |  | ) | const

Get scroll range

Definition at line 603 of file MyGUI_ScrollBar.cpp.

## ◆ getScrollViewPage()

size_t MyGUI::ScrollBar::getScrollViewPage | ( |  | ) | const

Get scroll view page

Definition at line 628 of file MyGUI_ScrollBar.cpp.

## ◆ getScrollWheelPage()

size_t MyGUI::ScrollBar::getScrollWheelPage | ( |  | ) | const

Get scroll view page

Definition at line 637 of file MyGUI_ScrollBar.cpp.

## ◆ getTrackPlaceLength()

int MyGUI::ScrollBar::getTrackPlaceLength | ( |  | ) | const
| protected

Definition at line 662 of file MyGUI_ScrollBar.cpp.

## ◆ getTrackSize()

int MyGUI::ScrollBar::getTrackSize | ( |  | ) | const

Get size of track in pixels

Definition at line 423 of file MyGUI_ScrollBar.cpp.

## ◆ getTypeName()

virtual const std::string & MyGUI::ScrollBar::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::Widget.

Reimplemented in MyGUI::HScroll, and MyGUI::VScroll.

Definition at line 27 of file MyGUI_ScrollBar.h.

## ◆ getVerticalAlignment()

bool MyGUI::ScrollBar::getVerticalAlignment | ( |  | ) | const

Get vertical alignment grid mode flag

Definition at line 681 of file MyGUI_ScrollBar.cpp.

## ◆ initialiseOverride()

void MyGUI::ScrollBar::initialiseOverride | ( |  | ) |
| overrideprotectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 40 of file MyGUI_ScrollBar.cpp.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ScrollBar::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 27 of file MyGUI_ScrollBar.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ScrollBar::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::Widget.

Reimplemented in MyGUI::HScroll, and MyGUI::VScroll.

Definition at line 27 of file MyGUI_ScrollBar.h.

## ◆ notifyMouseDrag()

void MyGUI::ScrollBar::notifyMouseDrag | ( | Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id )
| protected

Definition at line 332 of file MyGUI_ScrollBar.cpp.

## ◆ notifyMousePressed()

void MyGUI::ScrollBar::notifyMousePressed | ( | Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id )
| protected

Definition at line 269 of file MyGUI_ScrollBar.cpp.

## ◆ notifyMouseReleased()

void MyGUI::ScrollBar::notifyMouseReleased | ( | Widget * | _sender,
|  | int | _left,
|  | int | _top,
|  | MouseButton | _id )
| protected

Definition at line 326 of file MyGUI_ScrollBar.cpp.

## ◆ notifyMouseWheel()

void MyGUI::ScrollBar::notifyMouseWheel | ( | Widget * | _sender,
|  | int | _rel )
| protected

Definition at line 447 of file MyGUI_ScrollBar.cpp.

## ◆ onMouseWheel()

void MyGUI::ScrollBar::onMouseWheel | ( | int | _rel | ) |
| overrideprotectedvirtual

Reimplemented from MyGUI::WidgetInput.

Definition at line 440 of file MyGUI_ScrollBar.cpp.

## ◆ setCoord() [1/2]

void MyGUI::ScrollBar::setCoord | ( | const IntCoord & | _value | ) |
| overridevirtual

Set widget position and size

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 374 of file MyGUI_ScrollBar.cpp.

## ◆ setCoord() [2/2]

void MyGUI::Widget::setCoord | ( | int | _left,
|  | int | _top,
|  | int | _width,
|  | int | _height )

See Widget::setCoord(const IntCoord& _coord)

Definition at line 123 of file MyGUI_Widget.cpp.

## ◆ setMinTrackSize()

void MyGUI::ScrollBar::setMinTrackSize | ( | int | _value | ) |

Set minimal track size (used for setTrackSize)

Definition at line 642 of file MyGUI_ScrollBar.cpp.

## ◆ setMoveToClick()

void MyGUI::ScrollBar::setMoveToClick | ( | bool | _value | ) |

Enable or disable move to click mode.
Move to click mode: Tracker moves to cursor when pressed on scroll line.
Disabled (false) by default.

Definition at line 652 of file MyGUI_ScrollBar.cpp.

## ◆ setPosition() [1/2]

void MyGUI::ScrollBar::setPosition | ( | const IntPoint & | _value | ) |
| overridevirtual

Set widget position (position of left top corner)

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 362 of file MyGUI_ScrollBar.cpp.

## ◆ setPosition() [2/2]

void MyGUI::Widget::setPosition | ( | int | _left,
|  | int | _top )

See Widget::setPosition(const IntPoint& _pos)

Definition at line 119 of file MyGUI_Widget.cpp.

## ◆ setPropertyOverride()

void MyGUI::ScrollBar::setPropertyOverride | ( | const std::string & | _key,
|  | const std::string & | _value )
| overrideprotectedvirtual

@wproperty{ScrollBar, RepeatStepTime, float) The time between each repeat step once repeating has started.

Reimplemented from MyGUI::Widget.

Definition at line 552 of file MyGUI_ScrollBar.cpp.

## ◆ setRepeatEnabled()

void MyGUI::ScrollBar::setRepeatEnabled | ( | bool | enabled | ) |

Set whether clicks on scrollbar buttons should be repeated at set intervals as long as the mouse button is pressed down. Enabled (true) by default.

Definition at line 413 of file MyGUI_ScrollBar.cpp.

## ◆ setRepeatStepTime()

void MyGUI::ScrollBar::setRepeatStepTime | ( | float | time | ) |

Set how much time between scrollbar button repeats.

Definition at line 398 of file MyGUI_ScrollBar.cpp.

## ◆ setRepeatTriggerTime()

void MyGUI::ScrollBar::setRepeatTriggerTime | ( | float | time | ) |

Set time that buttons need to be pressed down to start repeating.

Definition at line 393 of file MyGUI_ScrollBar.cpp.

## ◆ setScrollPage()

void MyGUI::ScrollBar::setScrollPage | ( | size_t | _value | ) |

Set scroll page

Parameters

  _value | Tracker step when buttons pressed

Definition at line 613 of file MyGUI_ScrollBar.cpp.

## ◆ setScrollPosition()

void MyGUI::ScrollBar::setScrollPosition | ( | size_t | _value | ) |

Set scroll position (value from 0 to range - 1)

Definition at line 350 of file MyGUI_ScrollBar.cpp.

## ◆ setScrollRange()

void MyGUI::ScrollBar::setScrollRange | ( | size_t | _value | ) |

Set scroll range

Definition at line 340 of file MyGUI_ScrollBar.cpp.

## ◆ setScrollViewPage()

void MyGUI::ScrollBar::setScrollViewPage | ( | size_t | _value | ) |

Set scroll view page

Parameters

  _value | Tracker step when pressed on scroll line

Definition at line 623 of file MyGUI_ScrollBar.cpp.

## ◆ setScrollWheelPage()

void MyGUI::ScrollBar::setScrollWheelPage | ( | size_t | _value | ) |

Set scroll view page

Parameters

  _value | Tracker step when mouse wheel scrolled

Definition at line 633 of file MyGUI_ScrollBar.cpp.

## ◆ setSize() [1/2]

void MyGUI::ScrollBar::setSize | ( | const IntSize & | _value | ) |
| overridevirtual

Set widget size

Reimplemented from MyGUI::ICroppedRectangle.

Definition at line 367 of file MyGUI_ScrollBar.cpp.

## ◆ setSize() [2/2]

void MyGUI::Widget::setSize | ( | int | _width,
|  | int | _height )

See Widget::setSize(const IntSize& _size)

Definition at line 121 of file MyGUI_Widget.cpp.

## ◆ setTrackSize()

void MyGUI::ScrollBar::setTrackSize | ( | int | _value | ) |

Set size of track in pixels

Parameters

  _value | in pixels, if less than MinTrackSize, MinTrackSize used

Definition at line 381 of file MyGUI_ScrollBar.cpp.

## ◆ setVerticalAlignment()

void MyGUI::ScrollBar::setVerticalAlignment | ( | bool | _value | ) |

Set vertical alignment grid mode

Definition at line 674 of file MyGUI_ScrollBar.cpp.

## ◆ shutdownOverride()

void MyGUI::ScrollBar::shutdownOverride | ( |  | ) |
| overrideprotectedvirtual

Reimplemented from MyGUI::Widget.

Definition at line 115 of file MyGUI_ScrollBar.cpp.

## ◆ TrackMove()

void MyGUI::ScrollBar::TrackMove | ( | int | _left,
|  | int | _top )
| protected

Definition at line 201 of file MyGUI_ScrollBar.cpp.

## ◆ updateTrack()

void MyGUI::ScrollBar::updateTrack | ( |  | ) |
| protected

Definition at line 126 of file MyGUI_ScrollBar.cpp.

## Field Documentation

## ◆ eventScrollChangePosition

EventHandle_ScrollBarPtrSizeT MyGUI::ScrollBar::eventScrollChangePosition

Event : scroll tracker position changed.
signature : void method(MyGUI::ScrollBar* _sender, size_t _position)

Parameters

  _sender | widget that called this event
  _position | - new tracker position

Definition at line 127 of file MyGUI_ScrollBar.h.

## ◆ mEnableRepeat

bool MyGUI::ScrollBar::mEnableRepeat
| protected

Definition at line 176 of file MyGUI_ScrollBar.h.

## ◆ mMinTrackSize

int MyGUI::ScrollBar::mMinTrackSize
| protected

Definition at line 180 of file MyGUI_ScrollBar.h.

## ◆ mMoveToClick

bool MyGUI::ScrollBar::mMoveToClick
| protected

Definition at line 181 of file MyGUI_ScrollBar.h.

## ◆ mPreActionOffset

IntPoint MyGUI::ScrollBar::mPreActionOffset
| protected

Definition at line 164 of file MyGUI_ScrollBar.h.

## ◆ mRepeatStepTime

float MyGUI::ScrollBar::mRepeatStepTime
| protected

Definition at line 178 of file MyGUI_ScrollBar.h.

## ◆ mRepeatTriggerTime

float MyGUI::ScrollBar::mRepeatTriggerTime
| protected

Definition at line 177 of file MyGUI_ScrollBar.h.

## ◆ mScrollPage

size_t MyGUI::ScrollBar::mScrollPage
| protected

Definition at line 172 of file MyGUI_ScrollBar.h.

## ◆ mScrollPosition

size_t MyGUI::ScrollBar::mScrollPosition
| protected

Definition at line 171 of file MyGUI_ScrollBar.h.

## ◆ mScrollRange

size_t MyGUI::ScrollBar::mScrollRange
| protected

Definition at line 170 of file MyGUI_ScrollBar.h.

## ◆ mScrollViewPage

size_t MyGUI::ScrollBar::mScrollViewPage
| protected

Definition at line 173 of file MyGUI_ScrollBar.h.

## ◆ mScrollWheelPage

size_t MyGUI::ScrollBar::mScrollWheelPage
| protected

Definition at line 174 of file MyGUI_ScrollBar.h.

## ◆ mSkinRangeEnd

size_t MyGUI::ScrollBar::mSkinRangeEnd
| protected

Definition at line 168 of file MyGUI_ScrollBar.h.

## ◆ mSkinRangeStart

size_t MyGUI::ScrollBar::mSkinRangeStart
| protected

Definition at line 167 of file MyGUI_ScrollBar.h.

## ◆ mVerticalAlignment

bool MyGUI::ScrollBar::mVerticalAlignment
| protected

Definition at line 183 of file MyGUI_ScrollBar.h.

## ◆ mWidgetEnd

Button* MyGUI::ScrollBar::mWidgetEnd
| protected

Definition at line 157 of file MyGUI_ScrollBar.h.

## ◆ mWidgetFirstPart

Widget* MyGUI::ScrollBar::mWidgetFirstPart
| protected

Definition at line 160 of file MyGUI_ScrollBar.h.

## ◆ mWidgetSecondPart

Widget* MyGUI::ScrollBar::mWidgetSecondPart
| protected

Definition at line 161 of file MyGUI_ScrollBar.h.

## ◆ mWidgetStart

Button* MyGUI::ScrollBar::mWidgetStart
| protected

Definition at line 156 of file MyGUI_ScrollBar.h.

## ◆ mWidgetTrack

Button* MyGUI::ScrollBar::mWidgetTrack
| protected

Definition at line 158 of file MyGUI_ScrollBar.h.

The documentation for this class was generated from the following files:

- MyGUI_ScrollBar.h
- MyGUI_ScrollBar.cpp